from django.urls import path
from . import views

app_name = "studio"

urlpatterns = [
    path("", views.studio_dashboard_view, name="studio_dashboard"),
    path("cursos/", views.studio_courses_view, name="studio_courses"),
    path("cursos/crear/", views.studio_course_create_view, name="studio_course_create"),
    path("cursos/editar/<slug:slug>/", views.studio_course_edit_view, name="studio_course_edit"),
    path("cursos/temario/<slug:slug>/", views.studio_course_curriculum_view, name="studio_course_curriculum"),
    path("estudiantes/", views.studio_students_view, name="studio_students"),
    path("estudiantes/matricular/", views.studio_enroll_student_view, name="studio_enroll_student"),
    path("certificados/", views.studio_certificates_view, name="studio_certificates"),
    path("categorias/", views.studio_categories_view, name="studio_categories"),
    path("categorias/crear/", views.studio_category_create_view, name="studio_category_create"),
    path("categorias/eliminar/<int:category_id>/", views.studio_category_delete_view, name="studio_category_delete"),
]
